Package uk.ac.starlink.topcat.plot

# Interface PointStore

All Superinterfaces:
  `Points`

All Known Implementing Classes:
  `CartesianPointStore`, `SphericalPolarPointStore`

public interface PointStore extends Points
Extends the `Points` interface to provide a facility for storing points as well as retrieving them. To populate this object with point values, the `storePoint(java.lang.Object[], java.lang.Object[], java.lang.String)` method must be called once for each point in sequence. Points cannot in general be re-written. Implementation classes may have rules about what sequence methods must be called in, for instance whether all the writes must be performed before any of the read methods can be used.

Since:
  29 Mar 2007
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`storePoint(Object[] coordRow, Object[] errorRow, String label)`
Stores the next point in sequence to this object.

### Methods inherited from interface uk.ac.starlink.topcat.plot.Points

`getCount, getErrors, getLabel, getNdim, getNerror, getPoint, hasLabels`

## Method Details

### storePoint

void storePoint(Object[] coordRow, Object[] errorRow, String label)
Stores the next point in sequence to this object. The lengths of the arrays supplied here are not necessarily the same as those returned by the `Points.getNdim()` and `Points.getNerror()` methods, since there may be some translation between the arrays.

The `PointSelection` submits rows here as retrieved directly from the AxesSelector `AxesSelector.getData()` and `AxesSelector.getErrorData()` tables.

Parameters:
  `coordRow` - array of objects representing coordinate values
  `errorRow` - array of objects representing error values
  `label` - string labelling the point